Skip to main content
POST
/
api
/
v1
/
console
/
workflows
Create workflow
curl --request POST \
  --url https://api.bimpe.ai/api/v1/console/workflows \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "category": "<string>",
  "system_prompt": "<string>",
  "rules": [
    {
      "id": "<string>",
      "name": "<string>",
      "trigger": "<string>",
      "response": "<string>",
      "enabled": true,
      "condition": "<string>",
      "action": "<string>"
    }
  ],
  "flows": [
    {}
  ],
  "tags": [
    "<string>"
  ],
  "prompt_config": {}
}
'
{
  "message": "Success",
  "data": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "category": "<string>",
    "is_owner": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "system_prompt": "<string>",
    "rules": [
      {
        "id": "<string>",
        "name": "<string>",
        "trigger": "<string>",
        "response": "<string>",
        "enabled": true,
        "condition": "<string>",
        "action": "<string>"
      }
    ],
    "flows": [
      {}
    ],
    "tags": [
      "<string>"
    ],
    "prompt_config": {}
  }
}

Authorizations

Authorization
string
header
required

Team API key (prefix sk_). Use Authorization: Bearer or X-Api-Key: .

Headers

Idempotency-Key
string

Unique key to safely retry POST requests.

Maximum string length: 255

Body

application/json
name
string
required
Maximum string length: 255
description
string
Maximum string length: 2000
category
string
Maximum string length: 100
system_prompt
string
rules
object[]
flows
object[]
tags
string[]
prompt_config
object

Response

Workflow created

message
string
required
Example:

"Success"

data
object
required